Building with boost 1.54: "Boost.Signals is no longer being maintained and is now deprecated. Please switch to Boost.Signals2."

Bug #1201081 reported by Hans Joachim Desserud on 2013-07-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
widelands
Low
Unassigned

Bug Description

Boost version 1.54 was recently packaged in Arch Linux and building WL now prints several warnings like this:

In file included from /home/user/widelands/src/wui/minimap.h:23:0,
                 from /home/user/widelands/src/graphic/render/minimaprenderer.cc:26:
/usr/include/boost/signal.hpp:17:4: warning: #warning "Boost.Signals is no longer being maintained and is now deprecated. Please switch to Boost.Signals2. To disable this warning message, define BOOST_SIGNALS_NO_DEPRECATION_WARNING." [-Wcpp]
 # warning "Boost.Signals is no longer being maintained and is now deprecated. Please switch to Boost.Signals2. To disable this warning message, define BOOST_SIGNALS_NO_DEPRECATION_WARNING."
    ^

I assume this affects all places where Signals are used. Not being familiar with boost, I don't know how severe this is, whether we can except the old Signals to disappear in a future release or if we can stick with it for the foreseeable future. I don't know how easy it would be to support both Signals and Signals2 either, in order to support building with older boost versions.

This was mainly posted as a heads-up and will probably not cause any real problems for a while, but might be something to consider.

Related branches

Hans Joachim Desserud (hjd) wrote :

Thanks for the link Jens. From the warning I assumed it was something introduced recently, but it looks like signals2 has been available in parallell with signals since boost 1.39 with only minor changes.

For whoever ends up porting this, keep in mind that we wish to support Ubuntu 12.04 which ships boost 1.46 by default (though the last change listed under API development is in 1.45, so hopefully we should be fine.

We should probably port over to the new API sometime during the build19 cycle, though if someone wants to tackle it sooner, feel free. :)

Changed in widelands:
milestone: none → build19-rc1
status: New → Triaged
Jens Beyer (qcumber-some) wrote :

Ubuntu 12.04 LTS (precise) also ships boost 1.48 (next to 1.46.1 which is default).

SirVer (sirver) on 2013-08-03
Changed in widelands:
status: Triaged → Fix Committed
milestone: build19-rc1 → build18-rc1
SirVer (sirver) wrote :

Released in build-18 rc1.

Changed in widelands:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers